Package org.apache.commons.math3.stat.inference

# Enum AlternativeHypothesis

java.lang.Object
java.lang.Enum<AlternativeHypothesis>
org.apache.commons.math3.stat.inference.AlternativeHypothesis

All Implemented Interfaces:
  `Serializable`, `Comparable<AlternativeHypothesis>`, `java.lang.constant.Constable`

public enum AlternativeHypothesis extends Enum<AlternativeHypothesis>
Represents an alternative hypothesis for a hypothesis test.

Since:
  3.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GREATER_THAN`
Represents a right-sided test.
`LESS_THAN`
Represents a left-sided test.
`TWO_SIDED`
Represents a two-sided test.

## Method Summary

Modifier and Type
Method
Description
`static AlternativeHypothesis`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AlternativeHypothesis[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TWO_SIDED

public static final AlternativeHypothesis TWO_SIDED
Represents a two-sided test. H0: p=p0, H1: p ≠ p0

### GREATER_THAN

public static final AlternativeHypothesis GREATER_THAN
Represents a right-sided test. H0: p ≤ p0, H1: p > p0.

### LESS_THAN

public static final AlternativeHypothesis LESS_THAN
Represents a left-sided test. H0: p ≥ p0, H1: p < p0.

## Method Details

### values

public static AlternativeHypothesis[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AlternativeHypothesis valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null